Get business posts
curl --request GET \
--url https://scrapebadger.com/v1/google/maps/posts \
--header 'x-api-key: <api-key>'import requests
url = "https://scrapebadger.com/v1/google/maps/posts"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://scrapebadger.com/v1/google/maps/posts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"pagination": {
"current": 1,
"next": "<string>",
"total_results": 123,
"total_pages": 123,
"page_no": {}
},
"location_details": {
"name": "<string>",
"logo": "<string>"
},
"post_data": [
{
"description": "<string>",
"date": "<string>",
"image": "<string>",
"link": "<string>"
}
],
"has_updates": false,
"merchant_description": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Maps
Get business posts
Get business posts
GET
/
v1
/
google
/
maps
/
posts
Get business posts
Authorizations
Query Parameters
Google Maps data ID (0x...:0x...) — from /maps/search results
Google place ID (ChIJ...)
Language code
Country code
Response
Successful Response
Response for GET /api/v1/maps/posts.
Pagination metadata.
Show child attributes
Show child attributes
Business identity shown alongside posts (matches shape).
Show child attributes
Show child attributes
Show child attributes
Show child attributes
True when the SERP knowledge panel shows an 'Updates from' section
The 'From the business' description text set by the business owner
⌘I

